---
latinum_slug: "welcome"
latinum_layout: "landing"
# latinum_enter_page : [ "welcomeAxns.loadPage" ]
# latinum_exit_page : [ "welcomeAxns.unloadPage" ]
welcome_page : true
title : Home
---

<style type="text/css">
	#landing-banner {
		margin: 0 0 2rem 0; padding: 3rem 0 2rem 0;
		background-color: var(--hdr-accent-02);
		color: var(--hdr-title);
	}
	#landing-banner .maintitle {
		font-family: "Gerth";
		font-size: 3rem; font-weight: bold;
		color: var(--hdr-title);
	}
	#landing-banner .maintitle img {
		padding-bottom: 1rem;
	}
	#landing-banner .slogan {
		font-family: "Metropolis"; font-weight: 300; font-size: 1.2rem;
		text-align: center;
		color: var(--hdr-subtitle);
	}
	@media (min-width: 768px) {
		#landing-banner .maintitle { font-size: 3.5rem; }
		#landing-banner .slogan { text-align:left; max-width: 500px; }
	}
	@media (min-width: 1200px) {
		#landing-banner .slogan { text-align:left; max-width: 100%; }
	}

	.frontmatter {
		display: block; overflow: visible;
		background-color: #fff; font-size: 1.1em;
		padding-top: 30px; padding-bottom: 30px;
	}

	.feat-section {
		border-radius: 0.8em;
		margin: 2em 0 1em 0;
		padding: 1em 1em 0 1em;
	}

	.feat-section .top-header {
		display: block; overflow: auto;
		font-family: "Metropolis"; font-size: 1.6em; font-weight: 700;
		text-align: center;
	}

	.feat-section .feat-entry {
		display: flex;
		align-items: stretch;
		margin-bottom: 2em;
	}

	.feat-section .card {
		border: none;
		border-radius: 0.8em;
		background-color: var(--cnt-accent-03);
		padding: 1.5em;
	}

	.feat-section .card-title {
		font-family: "Metropolis"; font-size: 1.4em; font-weight: 600;
		color: var(--cnt-h2); margin-bottom: 1em;
	}

	.feat-section .card-text {
		font-size: 1em;
	}

	.actionbar {
		display: block; overflow: auto;
		text-align: center;
		margin: 0 0 20px 0;
	}

	.callout-section {
		display: flex; overflow: auto;
		flex-direction: row; justify-content: center; align-items: center;
		margin-top: 2em;
	}

	.callout-section .logo-cell {
		display: block; overflow: auto;
		padding: 5px; min-width: 40px;
		font-size: 2rem;
	}

	.callout-section .text-cell {
		font-size: 1.1em;
		padding: 5px;
	}

	@media only screen and (max-width: 767px) {
		.feat-section .card {
			padding: 1em;
		}

		.feat-section .card-body {
			padding: 0em;
		}

		.feat-section .card-title {
			margin-bottom: 0.5em;
		}

		.callout-section .logo-cell img {
			max-width: 32px;
		}
	}

</style>

<div id="landing-banner">
	<div class="container">
		<div class="maintitle"><img src="_assets/images/site-logo.png" /></div>
		<div class="slogan">A Framework for Managing Dependencies and Lifecycle of Java Objects</div>
	</div>
</div>

<div class="frontmatter">
	<div class="container">
		<div style="text-align:center">
			Not sure what is dependency injection? Start with reading this
			<a href="http://www.martinfowler.com/articles/injection.html">definitive article</a>
			by Martin Fowler.
		</div>

		<div class="feat-section">
			<p class="top-header">Why xBind?</p>

			<div class="row">
				<div class="col-md-6 feat-entry">
					<div class="card">
						<!-- img class="card-img-top" src="..." alt="Card image cap" -->
						<div class="card-body">
							<p class="card-title text-center">Minimal Dependencies</p>
							<p class="card-text">
								A bare-minimum dependency on third-party libraries (just one to be
								exact) for the core framework. So no hassle of version upgrades or
								conflicts in libraries that are shared between framework and
								application code.
							</p>
						</div>
					</div>
				</div>

				<div class="col-md-6 feat-entry">
					<div class="card">
						<!-- img class="card-img-top" src="..." alt="Card image cap" -->
						<div class="card-body">
							<p class="card-title text-center">Simplified Usage</p>
							<p class="card-text">
								A single-purpose framework supporting just one way of doing
								dependency injection and lifecycle management. Uses annotations and
								a small set of interfaces for the purpose of component
								identification, injection of dependencies and lifecycle management.
							</p>
						</div>
					</div>
				</div>

				<div class="col-md-6 feat-entry">
					<div class="card">
						<!-- img class="card-img-top" src="..." alt="Card image cap" -->
						<div class="card-body">
							<p class="card-title text-center">Compact</p>
							<p class="card-text">
								No syntax-led dependencies (e.g. multiple configuration files
								formats). Bootstrap code is smaller. More maintainable code with a
								minimum impact on traceability and code pollution. Reduced
								application binary footprints, resulting in faster deployment to
								production.
							</p>
						</div>
					</div>
				</div>

				<div class="col-md-6 feat-entry">
					<div class="card">
						<!-- img class="card-img-top" src="..." alt="Card image cap" -->
						<div class="card-body">
							<p class="card-title text-center">Ubiquity</p>
							<p class="card-text">
								No assumptions about the deployment environment or imposed
								pre-requisites. Can run almost anywhere that a JVM does. Integrates
								easily with technology offerings from different sources to roll out
								customized and highly opinionated stacks.
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="actionbar">
			<a href="#!/getting-started" class="btn btn-primary">
				Let's Get Started &nbsp;&nbsp;
				<span class="fas fa-lg fa-angle-right"></span>
			</a>
		</div>

		<div class="callout-section">
			<div class="logo-cell">
				<span class="fab fa-lg fa-github"></span>
			</div>
			<div class="text-cell">
				xBind is being hosted and maintained on Gitlab as an open source project.<br/>
				You are welcome to contribute to its development.
			</div>
		</div>
	</div>
</div>
